#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirext ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/camstreamer_install.log 2>&1

if [ -z "$1" ] || [ "$1" != "fromacap" ]; then
  killall -9 camstreamer
  killall -9 avlib
  killall -9 ottvideotx
fi

# chmod
chmod 750 /usr/local/packages/camstreamer/camstreamer
chmod 750 /usr/local/packages/camstreamer/tools/enable_cgi.sh
chmod 750 /usr/local/packages/camstreamer/tools/avlib
chmod 750 /usr/local/packages/camstreamer/tools/ffmpeg
chmod 750 /usr/local/packages/camstreamer/tools/ffprobe
chmod 750 /usr/local/packages/camstreamer/tools/netstat
chmod 750 /usr/local/packages/camstreamer/tools/ottvideotx

# enable_cgi for apache
/usr/local/packages/camstreamer/tools/enable_cgi.sh

eval $(grep VERSION /usr/local/packages/camstreamer/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set camstreamer.Version "$VERSION"

eval $(cat /usr/local/packages/camstreamer/version_info.txt)
VERSION_HASH="$BRANCH|$COMMIT_SHA|$TIMESTAMP"
parhandclient set camstreamer.VersionHash "$VERSION_HASH"

VERSION_REDIRECT="$APPMAJORVERSION-$APPMINORVERSION-$APPMICROVERSION"
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/camstreamer/html/shared/installApp.html
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/camstreamer/html/settings.html